package cz.moneta.test.dsl.mwf.employeecount;

import cz.moneta.test.harness.support.mwf.ApiVersion;
import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

@ApiVersion(versionTST1 = "792", versionPPE = "498")
public interface MWFKE1 extends MwfRequest<MWFKE1, MWFKE1Response> {

    @Parameter(name = "EmployeeCount")
    MWFKE1 employeeCount(Long employeeCount);
    @Parameter(name = "EmployeeCountValidByUserId")
    MWFKE1 employeeCountValidByUserId(String employeeCountValidByUserId);
    @Parameter(name = "EmployeeCountValidDate")
    MWFKE1 employeeCountValidDate(java.util.Date employeeCountValidDate);
    @Parameter(name = "PersonId")
    MWFKE1 personId(Long personId);
}